package org.security.trans.taskCheck.task.impl;

import lombok.extern.slf4j.Slf4j;
import org.security.common.eum.FrequencyEnum;
import org.security.trans.task.entity.Task;
import org.security.trans.taskCheck.task.ITaskCheck;
import org.springframework.stereotype.Service;

/**
 * @author zj 2022/4/14
 */
@Slf4j
@Service
public class UnknowTaskCheck implements ITaskCheck {
	@Override
	public void handle(Task task) {
		log.info("=============任务类型[未知]，不做处理==============");
	}

	@Override
	public boolean support(FrequencyEnum frequencyEnum) {
		return FrequencyEnum.UNKNOW.equals(frequencyEnum);
	}
}
